public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/btop/
Date: Wed,  7 Sep 2022 06:34:25 +0000 (UTC)	[thread overview]
Message-ID: <1662532250.872cadf4310a29157ae45a70753f667b8453e9a1.flow@gentoo> (raw)

commit:     872cadf4310a29157ae45a70753f667b8453e9a1
Author:     Adrian Schollmeyer <nex+b-g-o <AT> nexadn <DOT> de>
AuthorDate: Sun Aug 28 17:34:46 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 06:30:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=872cadf4

sys-process/btop: add 1.2.9

Signed-off-by: Adrian Schollmeyer <nex+b-g-o <AT> nexadn.de>
Closes: https://github.com/gentoo/gentoo/pull/27045
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 sys-process/btop/Manifest          |  1 +
 sys-process/btop/btop-1.2.9.ebuild | 44 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/sys-process/btop/Manifest b/sys-process/btop/Manifest
index cdca0835ddce..3914b0eb65a9 100644
--- a/sys-process/btop/Manifest
+++ b/sys-process/btop/Manifest
@@ -1 +1,2 @@
 DIST btop-1.2.8.tar.gz 976370 BLAKE2B ab71ac322afd84b5b73c5deb9003f319078809d81e2725a7447d2a8fe7539af21c669e7199a3422b2a1cc2ecbd79a46179343e00311f2d56bfa30f51d6340bd3 SHA512 4b5a3685ca5cf301cd7d6556bd365892587e6811f8323ca66728022aba7cc3ff95cf591b452151c9431824dc458bc3d09e10474c7c02a944e8931c4585914f5a
+DIST btop-1.2.9.tar.gz 978265 BLAKE2B ff80079a393342a2cf3aefad6ead8be8b786fbc2b9445e8e2a8b37386f65f4060c801a6f59d216cd611783f4135a60d64b95ff2b5e1a3d62bb2d40030bde8974 SHA512 424573c8f82d0daf748cba7c82e72232773f145af9792ac78a5f5f18d98a8695f11452de106c72cf685ecb8cc89729471a494f9ea6b4300bdb2fa6acdbf4ac60

diff --git a/sys-process/btop/btop-1.2.9.ebuild b/sys-process/btop/btop-1.2.9.ebuild
new file mode 100644
index 000000000000..53e5416f327e
--- /dev/null
+++ b/sys-process/btop/btop-1.2.9.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+DESCRIPTION="A monitor of resources"
+HOMEPAGE="https://github.com/aristocratos/btop"
+SRC_URI="https://github.com/aristocratos/btop/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+src_prepare() {
+	default
+	# btop installs README.md to /usr/share/btop by default
+	sed -i '/^.*cp -p README.md.*$/d' Makefile || die
+}
+
+src_compile() {
+	# Disable btop optimization flags, since we have our flags in CXXFLAGS
+	emake OPTFLAGS="" CXX="$(tc-getCXX)"
+}
+
+src_install() {
+	emake \
+		PREFIX="${EPREFIX}/usr" \
+		DESTDIR="${D}" \
+		install
+
+	dodoc README.md CHANGELOG.md
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}


             reply	other threads:[~2022-09-07  6:34 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-07  6:34 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-23 13:39 [gentoo-commits] repo/gentoo:master commit in: sys-process/btop/ Sam James
2024-03-23 10:41 Michał Górny
2024-03-23 10:25 Michał Górny
2024-03-02 14:08 Arthur Zamarin
2024-02-21  2:15 Sam James
2024-02-21  2:15 Sam James
2024-02-21  1:48 Sam James
2024-02-18 12:44 Yixun Lan
2024-01-29  6:38 WANG Xuerui
2023-12-11  8:29 Florian Schmaus
2023-07-26  3:35 Sam James
2023-07-26  3:35 Sam James
2023-07-26  3:35 Sam James
2023-07-26  0:55 Sam James
2023-06-27  8:07 James Le Cuirot
2023-03-23  0:43 Sam James
2023-02-24 17:15 Arthur Zamarin
2023-01-15 20:39 Sam James
2023-01-15 20:34 Sam James
2023-01-15 20:34 Sam James
2023-01-15 20:27 Arthur Zamarin
2022-12-10 13:10 Joonas Niilola
2022-12-09 15:36 Sam James
2022-12-09 13:55 Arthur Zamarin
2022-12-09 13:55 Arthur Zamarin
2022-12-09 13:39 Arthur Zamarin
2022-11-18 13:07 Arthur Zamarin
2022-11-10  5:20 Sam James
2022-11-10  5:20 Sam James
2022-11-10  5:20 Sam James
2022-11-10  5:11 Arthur Zamarin
2022-11-07 11:33 Florian Schmaus
2022-10-10 11:49 Sam James
2022-10-09  8:55 Agostino Sarubbo
2022-10-09  8:48 Agostino Sarubbo
2022-10-08 19:54 Arthur Zamarin
2022-10-08 16:32 Arthur Zamarin
2022-10-07 21:07 Florian Schmaus
2022-09-15 12:48 Sam James
2022-09-07  6:34 Florian Schmaus
2022-08-24 13:57 Yixun Lan
2022-08-12  6:58 Joonas Niilola
2022-08-12  6:58 Joonas Niilola
2022-08-12  4:49 Arthur Zamarin
2022-08-12  4:49 Arthur Zamarin
2022-07-05  7:09 Joonas Niilola
2022-07-05  6:45 Agostino Sarubbo
2022-07-05  6:04 Agostino Sarubbo
2022-07-05  6:02 Agostino Sarubbo
2022-07-04 13:57 Florian Schmaus
2022-06-18  7:18 Ulrich Müller
2022-06-05 12:47 Jakov Smolić
2022-06-04 10:44 Jakov Smolić
2022-06-04  8:19 Florian Schmaus
2022-06-03 10:51 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1662532250.872cadf4310a29157ae45a70753f667b8453e9a1.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox